(function(){

/////////////////////////////////////////////////////////////////////////
//                                                                     //
// shared/admin.js                                                     //
//                                                                     //
/////////////////////////////////////////////////////////////////////////
                                                                       //
// Sandstorm - Personal Cloud Sandbox                                  //
// Copyright (c) 2014 Sandstorm Development Group, Inc. and contributors
// All rights reserved.                                                //
//                                                                     //
// Licensed under the Apache License, Version 2.0 (the "License");     //
// you may not use this file except in compliance with the License.    //
// You may obtain a copy of the License at                             //
//                                                                     //
//   http://www.apache.org/licenses/LICENSE-2.0                        //
//                                                                     //
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,   //
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.                                      //
                                                                       //
function serviceEnabled(name) {                                        // 17
  var setting = Settings.findOne({ _id: name });                       // 18
  return setting && !!setting.value;                                   // 19
}                                                                      //
                                                                       //
Accounts.identityServices.github = {                                   // 22
  isEnabled: function () {                                             // 23
    return serviceEnabled("github");                                   // 24
  },                                                                   //
                                                                       //
  loginTemplate: {                                                     // 27
    name: "oauthLoginButton",                                          // 28
    priority: 1,                                                       // 29
    data: {                                                            // 30
      method: "loginWithGithub",                                       // 31
      name: "github",                                                  // 32
      displayName: "GitHub",                                           // 33
      linkingNewIdentity: false                                        // 34
    }                                                                  //
  }                                                                    //
};                                                                     //
                                                                       //
Accounts.identityServices.google = {                                   // 39
  isEnabled: function () {                                             // 40
    return serviceEnabled("google");                                   // 41
  },                                                                   //
                                                                       //
  loginTemplate: {                                                     // 44
    name: "oauthLoginButton",                                          // 45
    priority: 2,                                                       // 46
    data: {                                                            // 47
      method: "loginWithGoogle",                                       // 48
      name: "google",                                                  // 49
      displayName: "Google",                                           // 50
      linkingNewIdentity: false                                        // 51
    }                                                                  //
  }                                                                    //
};                                                                     //
                                                                       //
Accounts.identityServices.email = {                                    // 56
  isEnabled: function () {                                             // 57
    return serviceEnabled("emailToken");                               // 58
  },                                                                   //
                                                                       //
  loginTemplate: {                                                     // 61
    name: "emailLoginForm",                                            // 62
    priority: 10                                                       // 63
  }                                                                    //
};                                                                     //
                                                                       //
Accounts.identityServices.ldap = {                                     // 67
  isEnabled: function () {                                             // 68
    return serviceEnabled("ldap") && globalDb.isFeatureKeyValid();     // 69
  },                                                                   //
                                                                       //
  loginTemplate: {                                                     // 72
    name: "ldapLoginForm",                                             // 73
    priority: 21 }                                                     // 74
};                                                                     //
                                                                       //
// Put it at the bottom of the list.                                   //
Accounts.identityServices.saml = {                                     // 78
  isEnabled: function () {                                             // 79
    return serviceEnabled("saml") && globalDb.isFeatureKeyValid();     // 80
  },                                                                   //
                                                                       //
  loginTemplate: {                                                     // 83
    name: "samlLoginForm",                                             // 84
    priority: 20 }                                                     // 85
};                                                                     //
// Put it at the bottom of the list.                                   //
/////////////////////////////////////////////////////////////////////////

}).call(this);

//# sourceMappingURL=admin.js.map
